.article-aside {
  vertical-align: top;
  @include media(">=sm") {
    width: calc(33% - #{$grid-gutter-width});
    display: inline-block;
    margin-left: $grid-gutter-width;
  }
  @include media("<sm") {
    margin: $spacing-sm 0;
  }
  .panel:not(:first-child){
    margin-top: $spacing-md;
  }
  .panel-action {
    padding-top:0;
  }
}
.input-media-upload {
  display:none;
}

.media-panel {
  .btn {
    &.media-add {
      position:absolute;
      top:0;
      right:0;
    }
  }
  .message {
    position:absolute;
    top:$spacing-sm;
    left:50%;
  }
}


.media-list {
  list-style: none;
  .media-list__item {
    &:last-child{
      border-bottom:none;
    }
    @extend %font-size-sm;
    display: flex;
    border-bottom: $border-width-sm solid $lightgray;
    justify-content: space-between;
  }
  .media__infos{
    width: calc(100% - 100px);
    padding: $spacing-sm 0;
    justify-content: space-between;
    flex-direction: column;
  }
  .media__title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  .media__actions{
    color: $gray;
    form{
      display: inline;
    }
  }
  .media__preview {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width:100px;
    display: flex;
    &.txt{
      background-color: $lightyellow;
    }
    span {
      @extend %font-size-lg;
      margin: auto;
      text-transform: uppercase;
      color:$gray;
    }
  }
}
